fontname "Cousine-14"

# color
color activeborder   '#AF5F00'
color inactiveborder '#444444'
color font           '#AF5F00'
color menubg         '#001800'
color menufg         '#444444'
color groupborder    '#444444'
color ungroupborder  '#a6a663'
color urgencyborder  '#ef9a89'

# borders
borderwidth 2
gap 0 0 0 0
snapdist 4
moveamount 1

# sticky-group mode
sticky yes

# ignore windows
ignore oxbar
autogroup 0 oxbar

# key bindings
unbind-key all
unbind-mouse all

bind-key M-Return   sterm
bind-key MS-Return  bterm
bind-key MC-Return  hterm
bind-key M-a        dexec_apps
bind-key M-s        dexec_ssh
bind-key M-d        dexec
bind-key M-w        dexec_work
bind-key M-p        dexec_pim
bind-key MS-p       dexec_pass
bind-key MS-f       dexec_browser
bind-key M-l        dexec_findwin
bind-key M-r        window-menu-label

bind-key M-f        window-maximize
#bind-key MS-f       window-fullscreen
bind-key M-Tab      window-rcycle
bind-key MS-Tab     window-cycle
bind-key M-q        window-close
bind-key MS-q       window-close

bind-key MS-r       restart

bind-key M-Prior    window-raise
bind-key M-Next     window-lower
bind-key M-t        window-vtile

bind-key M-minus    window-vmaximize
bind-key MS-minus   window-hmaximize

# groups "workspace"
bind-key M-1        group-only-1
bind-key M-2        group-only-2
bind-key M-3        group-only-3
bind-key M-4        group-only-4
bind-key M-5        group-only-5
bind-key M-6        group-only-6
bind-key M-7        group-only-7
bind-key M-8        group-only-8
bind-key M-9        group-only-9
bind-key M-0        window-fullscreen
bind-key M-period   window-stick
bind-key MS-0       group-toggle-all
bind-key MS-1       window-movetogroup-1
bind-key MS-2       window-movetogroup-2
bind-key MS-3       window-movetogroup-3
bind-key MS-4       window-movetogroup-4
bind-key MS-5       window-movetogroup-5
bind-key MS-6       window-movetogroup-6
bind-key MS-7       window-movetogroup-7
bind-key MS-8       window-movetogroup-8
bind-key MS-9       window-movetogroup-9

# moving windows
bind-key SM-Up       window-move-up
bind-key SM-Down     window-move-down
bind-key SM-Left     window-move-left
bind-key SM-Right    window-move-right

bind-key M-Up        window-move-up-big
bind-key M-Down      window-move-down-big
bind-key M-Left      window-move-left-big
bind-key M-Right     window-move-right-big

bind-key C-Up        window-snap-up
bind-key C-Down      window-snap-down
bind-key C-Left      window-snap-left
bind-key C-Right     window-snap-right

# resizing windows
bind-key CM-Up      window-resize-up
bind-key CM-Down    window-resize-down
bind-key CM-Left    window-resize-left
bind-key CM-Right   window-resize-right

# special keys
#bind-key XF86AudioLowerVolume   update_vol.sh
#bind-key XF86AudioRaiseVolume   update_vol.sh
#bind-key XF86AudioMute          update_vol.sh

# mouse...
bind-mouse M-1 window-move
bind-mouse M-3 window-resize

# application menu
command term        texec
command lock        xlock
